Bug 1706846 - Missing admin credentials in satellite-installer output.
Summary: Missing admin credentials in satellite-installer output.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.6.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Evgeni Golov
QA Contact: Jameer Pathan
URL:
Whiteboard:
: 1710370 1711972 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-06 11:46 UTC by Jameer Pathan
Modified: 2019-10-22 19:49 UTC (History)
4 users (show)

Fixed In Version: foreman-1.22.0.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:49:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26745 Normal Closed Missing admin credentials in satellite-installer output. 2020-07-10 10:40:53 UTC

Description Jameer Pathan 2019-05-06 11:46:12 UTC
Description of problem:

Missing admin credentials in satellite-installer output.

Version-Release number of selected component (if applicable):

@Satellite 6.6.0(Snap1)

How reproducible:

Always

Steps to Reproduce:

1. Setup pre-requisite for satellite 6.6.0 installation. 
2. Execute Satellite installer command(satellite-installer --scenario satellite)

Actual results:

# satellite-installer --scenario satellite
Installing             Done                                               [100%] [................................................................................................................................]
  Success!
  * Satellite is running at https://hostname.example.com

  * To install an additional Capsule on separate machine continue by running:

      capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" --certs-tar "/root/$CAPSULE-certs.tar"

  * To upgrade an existing 6.4 Capsule to 6.5:
      Please see official documentation for steps and parameters to use when upgrading a 6.4 Capsule to 6.5.

  The full log is at /var/log/foreman-installer/satellite.log
yum install -y -q rh-mongodb34-syspaths finished successfully!

Expected results:

# satellite-installer --scenario satellite
Resetting puppet server version param...
Installing             Service[puppetserver]                              [86%] [...............................................................................................................                  ]
Installing             Done                                               [100%] [................................................................................................................................]
  Success!
  * Satellite is running at https://hostname.example.com
      Initial credentials are admin / bdsbdksdsd

  * To install an additional Capsule on separate machine continue by running:

      capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" --certs-tar "/root/$CAPSULE-certs.tar"

  * To upgrade an existing 6.4 Capsule to 6.5:
      Please see official documentation for steps and parameters to use when upgrading a 6.4 Capsule to 6.5.

  The full log is at /var/log/foreman-installer/satellite.log
yum install -y -q rh-mongodb34-syspaths finished successfully!

Comment 4 Evgeni Golov 2019-05-06 11:54:43 UTC
Created redmine issue https://projects.theforeman.org/issues/26745 from this bug

Comment 5 Bryan Kearney 2019-05-06 14:01:16 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26745 has been resolved.

Comment 6 Evgeni Golov 2019-05-15 12:46:02 UTC
*** Bug 1710370 has been marked as a duplicate of this bug. ***

Comment 7 Evgeni Golov 2019-05-20 14:47:47 UTC
*** Bug 1711972 has been marked as a duplicate of this bug. ***

Comment 8 Jameer Pathan 2019-06-14 06:20:22 UTC
Verified

@Satellite 6.6.0 snap 6

Steps:
1. Setup pre-requisite for satellite 6.6.0 installation. 
2. Execute Satellite installer command(satellite-installer --scenario satellite)

Observation:
- satellite-installer prints initial credentials after satellite installation.

# satellite-installer --scenario satellite
Installing             Done                                               [100%] [...........................................................................]
  Success!
  * Satellite is running at https://hostname.example.com
      Initial credentials are admin / eLgDnWara4vWcCMX

  * To install an additional Capsule on separate machine continue by running:

      capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" --certs-tar "/root/$CAPSULE-certs.tar"

  * To upgrade an existing 6.5 Capsule to 6.6:
      Please see official documentation for steps and parameters to use when upgrading a 6.5 Capsule to 6.6.

  The full log is at /var/log/foreman-installer/satellite.log

Comment 9 Bryan Kearney 2019-10-22 19:49:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.